Page MenuHomePhabricator

Spike: Scope the first version of JavaScript-based prototype on existing Parsoid service
Closed, ResolvedPublic

Description

Based on the work in webkipedia let's setup a Parsoid based prototype that simply renders the article content.

  • What will we build? What's in scope? How will we build it?
  • What should be shared between the web app and the prototype?

Hours: 8hrs
Outcome: Create an epic card. Creating a proof of concept would be useful.
You'll need to setup a meeting to chat over some of this stuff - I would suggest ensuring @GWicke is in that meeting along with team members who are interested.
Please output findings/proposal in T114663

Possible outcome:

  • HTML JavaScript app with non-functioning UI that shows mobile frontend chrome with search and hamburger icon that loads the content of https://en.m.wikipedia.org/wiki/Barack_Obama
  • it should be styled the same as MobileFrontend, reusing static copies of the stylesheets generated by MobileFrontend
  • Section collapsing
  • Clicking a link loads an article

We will use this prototype to identify issues with styling due to different Parsoid markup and to identify problems with hijacking links in JavaScript.

This card is stalled until Joaquin returns and we can discuss the approach here.

Related Objects

StatusAssignedTask
DeclinedNone
ResolvedCatrope
ResolvedSbailey
Resolved GWicke
Resolvedssastry
ResolvedNone
ResolvedDbrant
ResolvedbearND
ResolvedMholloway
ResolvedNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedJdforrester-WMF
DuplicateNone
ResolvedbearND
OpenNone
OpenNone
DeclinedNone
DuplicateNone
DeclinedNone
OpenNone
OpenNone
ResolvedArlolra
ResolvedMooeypoo
ResolvedCatrope
Resolved GWicke
OpenNone
Resolvedmarcoil
Resolvedmarcoil
Resolved GWicke
Resolveddr0ptp4kt
DuplicateNone
DeclinedNone
OpenNone
OpenNone
ResolvedJhernandez

Event Timeline

Jdlrobson raised the priority of this task from to Low.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2015, 5:15 PM
Jdlrobson updated the task description. (Show Details)Sep 25 2015, 5:55 PM
Jdlrobson set Security to None.
Jdlrobson edited a custom field.
Jdlrobson renamed this task from Make a first version of JavaScript-based prototype on existing Parsoid service to Spike: Scope the first version of JavaScript-based prototype on existing Parsoid service.Sep 29 2015, 4:06 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson edited a custom field.
Jdlrobson updated the task description. (Show Details)Sep 29 2015, 4:22 PM
Jdlrobson changed the task status from Open to Stalled.Sep 29 2015, 4:39 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Sep 30 2015, 8:39 PM

Please output findings/proposal in T114663

Jdlrobson updated the task description. (Show Details)Oct 5 2015, 4:24 PM
Jhernandez changed the task status from Stalled to Open.Oct 5 2015, 5:15 PM
Jhernandez claimed this task.
Jhernandez moved this task from To Do to Doing on the Reading-Web-Sprint-57-The Fifth Element board.

I'm drafting the info right here https://www.mediawiki.org/wiki/Reading/Web/Projects/A_frontend_powered_by_Parsoid/Q2_MVP

It would be good to get some feedback.

@Jhernandez thanks for this. I'm planning to kick off the sprint with this: T114663
Can you review and let me know if you seem like an 8 is a fair estimate? I'm keen to get the section issues resolved in Parsoid asap, given that they are going to play a crucial part in us achieving our goal.

Jhernandez closed this task as Resolved.Oct 14 2015, 5:26 PM

Sure thing! 👍